- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- DeclarationFileType
- Try it!
Upload a policy declaration file for the hosted app. Returns an ID to track the file.
HTTP request
- Upload URI, for media upload requests:
POST https://androidpublisher.googleapis.com/upload/androidpublisher/v3/appstore/{appStorePackageName}/apps/{packageName}/policyDeclarationFiles:upload - Metadata URI, for metadata-only requests:
POST https://androidpublisher.googleapis.com/androidpublisher/v3/appstore/{appStorePackageName}/apps/{packageName}/policyDeclarationFiles:upload
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
appStorePackageName |
Required. Package name of the third-party app store. |
packageName |
Required. Package name of the app. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"fileType": enum ( |
| Fields | |
|---|---|
fileType |
Required. Type of the policy declaration file. |
Response body
Response for uploading a policy declaration file.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "fileId": string } |
| Fields | |
|---|---|
fileId |
The unique ID of the uploaded file. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/androidpublisher
DeclarationFileType
Type of policy declaration file.
| Enums | |
|---|---|
DECLARATION_FILE_TYPE_UNSPECIFIED |
Unspecified file type. |
DECLARATION_FILE_TYPE_DOCUMENT |
File type for PDF, JPEG, and PNG documents. |